This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 27405 - API for obtaining project's classpaths
Summary: API for obtaining project's classpaths
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 3.x
Hardware: All All
: P1 blocker (vote)
Assignee: issues@java
URL:
Keywords:
Depends on:
Blocks: 27137
  Show dependency tree
 
Reported: 2002-09-18 08:58 UTC by Martin Roskanin
Modified: 2007-09-26 09:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Roskanin 2002-09-18 08:58:24 UTC
To generate code completion databases the editor
module will need the list of all
design-time-needed classpaths or classpaths needed
for compilation. Also it will be necessary to
receive the event about the change of project
classpaths structure to update the database. The
change could be etc. remove, add of classpath and
the modification of the objects on the classpath
tree as source(class) deleting, renaming, adding.
Comment 1 Svata Dedic 2002-10-01 18:15:11 UTC
Question:

It's currently assumed that there are more (design-time)classpaths in
the project and sources are separated into several "domains" that
define those paths (the domain is currently the build target to which
is the source assigned). 

Do you need list *all* classpaths in the project ? E.g. when there are
two build targets, do you need *both* classpaths ? Or do you need
those "domains" ? Do you need to be informed when a new domain is
created (new build target is created), when it changes (e.g. sources
are reassinged from one build target to another) ?

Comment 2 Svata Dedic 2002-10-01 18:18:03 UTC
Another question:
What contents do you expect to be in the returned ClassPath ? 
- design-time resources external to the project 
- sources owned by the project
- classes compiled from the sources owned by the project
- [some other stuff - please fill in]
Comment 3 Martin Roskanin 2002-11-12 09:56:58 UTC
Svata,  I think I can resolve the issue as fixed, because the feature
has been already implemented. Am I right?
Comment 4 Jan Becicka 2003-11-25 14:01:57 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 5 Jan Becicka 2003-11-25 14:10:44 UTC
---> CLOSED